//
//  SwiftUI.swift
//  SampleApp
//
//  Created by Nutchaphon Rewik on 28/9/2565 BE.
//  Copyright © 2565 BE David Zhang. All rights reserved.
//

import Foundation
import SwiftUI

extension View {
    
    @ViewBuilder
    func compatibleBorderedButtonStyle() -> some View {
        if #available(iOS 15, *) {
            buttonStyle(.bordered)
        } else {
            buttonStyle(.automatic)
        }
    }
    
}



